io.vertx.rxjava.amqp

## Class AmqpMessage

- java.lang.Object
- - io.vertx.rxjava.amqp.AmqpMessage

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class AmqpMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents an AMQP message.

  Reference about the different metadata can be found on AMQP message properties.

  Note that the body is retrieved using `body*` method depending on the expected type.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AmqpMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpMessage(AmqpMessage delegate)`
    `AmqpMessage(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpMessage` | `accepted()` When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message.
    `String` | `address()`
    `JsonObject` | `applicationProperties()`
    `Buffer` | `bodyAsBinary()`
    `boolean` | `bodyAsBoolean()`
    `byte` | `bodyAsByte()`
    `char` | `bodyAsChar()`
    `double` | `bodyAsDouble()`
    `float` | `bodyAsFloat()`
    `int` | `bodyAsInteger()`
    `JsonArray` | `bodyAsJsonArray()`
    `JsonObject` | `bodyAsJsonObject()`
    `<T> List<T>` | `bodyAsList()`
    `long` | `bodyAsLong()`
    `short` | `bodyAsShort()`
    `String` | `bodyAsString()`
    `String` | `bodyAsSymbol()`
    `java.time.Instant` | `bodyAsTimestamp()`
    `UUID` | `bodyAsUUID()`
    `String` | `contentEncoding()`
    `String` | `contentType()`
    `String` | `correlationId()`
    `static AmqpMessageBuilder` | `create()`
    `static AmqpMessageBuilder` | `create(AmqpMessage existing)` Creates a builder to create a new `AmqpMessage` copying the metadata from the passed message.
    `long` | `creationTime()`
    `int` | `deliveryCount()`
    `boolean` | `equals(Object o)`
    `long` | `expiryTime()`
    `AmqpMessage` | `getDelegate()`
    `String` | `groupId()`
    `long` | `groupSequence()`
    `int` | `hashCode()`
    `String` | `id()`
    `boolean` | `isBodyNull()`
    `boolean` | `isDurable()`
    `boolean` | `isFirstAcquirer()`
    `AmqpMessage` | `modified(boolean deliveryFailed, boolean undeliverableHere)` When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message as `modified`.
    `static AmqpMessage` | `newInstance(AmqpMessage arg)`
    `int` | `priority()`
    `AmqpMessage` | `rejected()` When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message as `rejected`.
    `AmqpMessage` | `released()` When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message as `released`.
    `String` | `replyTo()`
    `String` | `replyToGroupId()`
    `String` | `subject()`
    `String` | `toString()`
    `long` | `ttl()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AmqpMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### AmqpMessage

          public AmqpMessage(AmqpMessage delegate)

    - #### AmqpMessage

          public AmqpMessage(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AmqpMessage getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static AmqpMessageBuilder create()

      Returns:
        a builder to create an `AmqpMessage`.

    - #### create

          public static AmqpMessageBuilder create(AmqpMessage existing)

      Creates a builder to create a new `AmqpMessage` copying the metadata from the passed message.
      Parameters:
        `existing` - an existing message, must not be `null`.
      Returns:
        a builder to create an `AmqpMessage`.

    - #### isDurable

          public boolean isDurable()

      Returns:
        whether or not the message is durable.

    - #### isFirstAcquirer

          public boolean isFirstAcquirer()

      Returns:
        if `true`, then this message has not been acquired by any other link. If `false`, then this message MAY have previously been acquired by another link or links.

    - #### priority

          public int priority()

      Returns:
        the relative message priority. Higher numbers indicate higher priority messages. Messages with higher priorities MAY be delivered before those with lower priorities.

    - #### deliveryCount

          public int deliveryCount()

      Returns:
        the number of unsuccessful previous attempts to deliver this message. If this value is non-zero it can be taken as an indication that the delivery might be a duplicate. On first delivery, the value is zero. It is incremented upon an outcome being settled at the sender, according to rules defined for each outcome.

    - #### ttl

          public long ttl()

      Returns:
        the duration in milliseconds for which the message is to be considered "live".

    - #### id

          public String id()

      Returns:
        the message id

    - #### address

          public String address()

      Returns:
        the message address, also named `to` field

    - #### replyTo

          public String replyTo()

      Returns:
        The address of the node to send replies to, if any.

    - #### correlationId

          public String correlationId()

      Returns:
        The client-specific id that can be used to mark or identify messages between clients.

    - #### isBodyNull

          public boolean isBodyNull()

      Returns:
        whether the body is `null`. This method returns `true` is the message does not contain a body or if the message contain a `null` AMQP value as body.

    - #### bodyAsBoolean

          public boolean bodyAsBoolean()

      Returns:
        the boolean value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsByte

          public byte bodyAsByte()

      Returns:
        the byte value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsShort

          public short bodyAsShort()

      Returns:
        the short value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsInteger

          public int bodyAsInteger()

      Returns:
        the integer value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsLong

          public long bodyAsLong()

      Returns:
        the long value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsFloat

          public float bodyAsFloat()

      Returns:
        the float value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsDouble

          public double bodyAsDouble()

      Returns:
        the double value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsChar

          public char bodyAsChar()

      Returns:
        the character value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsBinary

          public Buffer bodyAsBinary()

      Returns:
        the bytes contained in the body. The value must be passed as AMQP data.

    - #### bodyAsString

          public String bodyAsString()

      Returns:
        the string value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsSymbol

          public String bodyAsSymbol()

      Returns:
        the symbol value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsList

          public <T> List<T> bodyAsList()

      Returns:
        the list of values contained in the body. The value must be passed as AMQP value.

    - #### bodyAsJsonObject

          public JsonObject bodyAsJsonObject()

      Returns:
        the JSON object contained in the body. The value must be passed as AMQP data.

    - #### bodyAsJsonArray

          public JsonArray bodyAsJsonArray()

      Returns:
        the JSON array contained in the body. The value must be passed as AMQP data.

    - #### subject

          public String subject()

    - #### contentType

          public String contentType()

    - #### contentEncoding

          public String contentEncoding()

    - #### expiryTime

          public long expiryTime()

    - #### creationTime

          public long creationTime()

    - #### groupId

          public String groupId()

    - #### replyToGroupId

          public String replyToGroupId()

    - #### groupSequence

          public long groupSequence()

    - #### applicationProperties

          public JsonObject applicationProperties()

      Returns:
        the message properties as JSON object.

    - #### accepted

          public AmqpMessage accepted()

      When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message. It marks the message as delivered with the `accepted` status.
      Returns:
        the current `AmqpMessage` object

    - #### rejected

          public AmqpMessage rejected()

      When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message as `rejected`.
      Returns:
        the current `AmqpMessage` object

    - #### released

          public AmqpMessage released()

      When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message as `released`.
      Returns:
        the current `AmqpMessage` object

    - #### modified

          public AmqpMessage modified(boolean deliveryFailed,
                                      boolean undeliverableHere)

      When receiving a message, and when auto-acknowledgement is disabled, this method is used to acknowledge the incoming message as `modified`.
      Parameters:
        `deliveryFailed` - pass `true` to increase the failed delivery count
        `undeliverableHere` - pass `true` to prevent re-delivery of this message to the same consumer
      Returns:
        the current `AmqpMessage` object

    - #### bodyAsTimestamp

          public java.time.Instant bodyAsTimestamp()

      Returns:
        the timestamp value contained in the body. The value must be passed as AMQP value.

    - #### bodyAsUUID

          public UUID bodyAsUUID()

      Returns:
        the UUID value contained in the body. The value must be passed as AMQP value.

    - #### newInstance

          public static AmqpMessage newInstance(AmqpMessage arg)

Copyright © 2025 Eclipse. All rights reserved.